## org.apache.mahout.ga.watchmaker.cd
Class FileInfoParser

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.FileInfoParser

    public final class FileInfoParser

extends Object

Initializes a DataSet using a special format file.
The file contains for each attribute one of the following:

- `IGNORED`
  if the attribute is ignored
- `LABEL, val1, val2, ...`
  if the attribute is the label, and its possible values
- `CATEGORICAL, val1, val2, ...`
  if the attribute is nominal, and its possible values
- `NUMERICAL, min, max`
  if the attribute is numerical, and its min and max values

Field Summary
`static String` `IGNORED_TOKEN`
`static String` `LABEL_TOKEN`
`static String` `NOMINAL_TOKEN`
`static String` `NUMERICAL_TOKEN`

Method Summary
`static org.apache.hadoop.fs.Path` `getInfoFile(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path inpath)` Prepares the path for the info file corresponding to the input path.
`static DataSet` `parseFile(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path inpath)` Initializes a dataset using an info file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORED_TOKEN

    public static final String IGNORED_TOKEN

See Also:
  Constant Field Values

### LABEL_TOKEN

    public static final String LABEL_TOKEN

See Also:
  Constant Field Values

### NOMINAL_TOKEN

    public static final String NOMINAL_TOKEN

See Also:
  Constant Field Values

### NUMERICAL_TOKEN

    public static final String NUMERICAL_TOKEN

See Also:
  Constant Field Values

Method Detail

### parseFile

    public static DataSet parseFile(org.apache.hadoop.fs.FileSystem fs,
                                    org.apache.hadoop.fs.Path inpath)
                             throws IOException

  Initializes a dataset using an info file.

  Parameters:
    `fs` - file system
    `inpath` - info file
  Returns:
    Initialized Dataset
  Throws:
    `IOException`

### getInfoFile

    public static org.apache.hadoop.fs.Path getInfoFile(org.apache.hadoop.fs.FileSystem fs,
                                                        org.apache.hadoop.fs.Path inpath)
                                                 throws IOException

  Prepares the path for the info file corresponding to the input path.

  Parameters:
    `fs` - file system
  Throws:
    `IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.